package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/CompanyInfoDetail.class */
public class CompanyInfoDetail implements RecordInterface {
    private String orgCode;
    private String corpCode;
    private String corName;
    private String corContactName;
    private String corContactTel;
    private String ZGDInTime;
    private String ZGDOutTime;
    private String mpdStartDate;
    private String mpdEndDate;
    private String companyNature;
    private String xjzzdStartDate;
    private String xjzzdEndDate;
    private String didRemark;

    public String getMpdStartDate() {
        return this.mpdStartDate;
    }

    public void setMpdStartDate(String mpdStartDate) {
        this.mpdStartDate = mpdStartDate;
    }

    public String getMpdEndDate() {
        return this.mpdEndDate;
    }

    public void setMpdEndDate(String mpdEndDate) {
        this.mpdEndDate = mpdEndDate;
    }

    public String getDidRemark() {
        return this.didRemark;
    }

    public void setDidRemark(String didRemark) {
        this.didRemark = didRemark;
    }

    public String getCorContactName() {
        return this.corContactName;
    }

    public void setCorContactName(String corContactName) {
        this.corContactName = corContactName;
    }

    public String getCorContactTel() {
        return this.corContactTel;
    }

    public void setCorContactTel(String corContactTel) {
        this.corContactTel = corContactTel;
    }

    public String getZGDInTime() {
        return this.ZGDInTime;
    }

    public void setZGDInTime(String zGDInTime) {
        this.ZGDInTime = zGDInTime;
    }

    public String getZGDOutTime() {
        return this.ZGDOutTime;
    }

    public void setZGDOutTime(String zGDOutTime) {
        this.ZGDOutTime = zGDOutTime;
    }

    public String getOrgCode() {
        return this.orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCorpCode() {
        return this.corpCode;
    }

    public void setCorpCode(String corpCode) {
        this.corpCode = corpCode;
    }

    public String getCorName() {
        return this.corName;
    }

    public void setCorName(String corName) {
        this.corName = corName;
    }

    public String getCompanyNature() {
        return this.companyNature;
    }

    public void setCompanyNature(String companyNature) {
        this.companyNature = companyNature;
    }

    public String getXjzzdStartDate() {
        return this.xjzzdStartDate;
    }

    public void setXjzzdStartDate(String xjzzdStartDate) {
        this.xjzzdStartDate = xjzzdStartDate;
    }

    public String getXjzzdEndDate() {
        return this.xjzzdEndDate;
    }

    public void setXjzzdEndDate(String xjzzdEndDate) {
        this.xjzzdEndDate = xjzzdEndDate;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.orgCode = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE);
            this.corpCode = (String) input.get("corpCode");
            this.corName = (String) input.get("corName");
            this.corContactName = (String) input.get("corContactName");
            this.corContactTel = (String) input.get("corContactTel");
            this.ZGDInTime = (String) input.get("ZGDInTime");
            this.ZGDOutTime = (String) input.get("ZGDOutTime");
            this.mpdStartDate = (String) input.get("mpdStartDate");
            this.mpdEndDate = (String) input.get("mpdEndDate");
            this.companyNature = (String) input.get("companyNature");
            this.xjzzdStartDate = (String) input.get("xjzzdStartDate");
            this.xjzzdEndDate = (String) input.get("xjzzdEndDate");
            this.didRemark = (String) input.get("didRemark");
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE, this.orgCode);
        result.put("corpCode", this.corpCode);
        result.put("corName", this.corName);
        result.put("corContactName", this.corContactName);
        result.put("corContactTel", this.corContactTel);
        result.put("ZGDInTime", this.ZGDInTime);
        result.put("ZGDOutTime", this.ZGDOutTime);
        result.put("mpdStartDate", this.mpdStartDate);
        result.put("mpdEndDate", this.mpdEndDate);
        result.put("companyNature", this.companyNature);
        result.put("xjzzdStartDate", this.xjzzdStartDate);
        result.put("xjzzdEndDate", this.xjzzdEndDate);
        result.put("didRemark", this.didRemark);
        return result;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return null;
    }

    public String toString() {
        return "CompanyInfoDetail [orgCode=" + this.orgCode + ", corpCode=" + this.corpCode + ", corName=" + this.corName + ", corContactName=" + this.corContactName + ", corContactTel=" + this.corContactTel + ", ZGDInTime=" + this.ZGDInTime + ", ZGDOutTime=" + this.ZGDOutTime + ", mpdStartDate=" + this.mpdStartDate + ", mpdEndDate=" + this.mpdEndDate + ", companyNature=" + this.companyNature + ", xjzzdStartDate=" + this.xjzzdStartDate + ", xjzzdEndDate=" + this.xjzzdEndDate + ", didRemark=" + this.didRemark + "]";
    }
}
